#include <stdio.h>
#include <stdlib.h>
#include "global.h"
#include "functions.h"
#include "util.h"
#include "plist.h"

char scratch[1024];

void find_important_points(POINT *point, int timeslice){
  int i, relevant=0, irrelevant=0;

  if(Trace){
    our_printf("entered find_important_points()\n");
    ++Trace;
  }

  if(timeslice != Timeslices-1){
    for(i=0; i<Time[timeslice+1].elements; i++){
      if( point_is_relevant(point, &(Time[timeslice+1].element[i]))){
	ilist_append(&(point->important_point), i);
	++relevant;
      }else{
	++irrelevant;
      }
    }
  }
  if(Trace){
    sprintf(scratch,"%i relevant, %i irrelevant\n",relevant,irrelevant);
    our_printf(scratch);
    --Trace;
    our_printf("exiting find_important_points()\n");
  }

}
