#include <stdio.h>
#include <stdlib.h>
#include "global.h"
#include "functions.h"
#include "util.h"
#include "plist.h"

int initialize_path(){
  int i;
  POINT point;

   /* Allocate timesliices */
  allocate1dPLIST(&Time,Timeslices);

  /* Do initial point */
  point_initialize(&point);
  for(i=0; i<Dimensions; i++) point.price[i] = Initial_price;
  plist_append(&(Time[0]),&point);

  /* Now loop over all the timeslices and add a point */
  for(i=1;i<Timeslices;i++){
    grow_point(Time[i-1].element[0].price, point.price);
    plist_append(&(Time[i]),&point);
  }

  /* Important point array should at least contain one point */
  for(i=0;i<Timeslices-1;i++){
     ilist_append(&(Time[i].element[0].important_point), 0);
     Time[i].element[0].children = 1;
  }

  return(0);
}
