/* $Id: util.h,v 2.2 1998/04/16 12:53:23 scott Exp $ */

void allocate1dPLIST(PLIST **array, int size);
void allocate1dDouble(double **array, int size);
void allocate2dDouble(double ***array, int size1, int size2);
void allocate3dDouble(double ****array, int size1, int size2, int size3);
void allocate1dFloat(float **array, int size);
void allocate2dFloat(float ***array, int size1, int size2);
void allocate3dFloat(float ****array, int size1, int size2, int size3);


void deallocate1dDouble(double **array, int size);
void deallocate2dDouble(double ***array, int size1, int size2);
void deallocate3dDouble(double ****array, int size1, int size2, int size3);
void deallocate1dFloat(float **array, int size);
void deallocate2dFloat(float ***array, int size1, int size2);
void deallocate3dFloat(float ****array, int size1, int size2, int size3);


double dMax(double a, double b);
double dMin(double a, double b);
double dArrayMax(int size, double *array);
double dArrayMin(int size, double *array);
int dWhichMax(int size, double *array);

